API reference

GET /api/v1/events

Event types and their volume for the period.

Parameters

ParameterTypeRequiredDescription
limitintegernoMaximum number of items to return.

Response

Content-Type application/json. Cache-Control public, max-age=60.

{
  "object": "list",
  "data": [
    {
      "id": "evt_x8ptos7zogfkgh",
      "created_at": "2024-09-06T17:12:14Z",
      "name": "session_start",
      "count": 83524,
      "source": "api"
    },
    {
      "id": "evt_gzgzve3fnf5m36",
      "created_at": "2024-11-12T20:52:25Z",
      "name": "click",
      "count": 89286,
      "source": "api"
    },
    {
      "id": "evt_cshq9j3axxbz7n",
      "created_at": "2024-04-24T21:44:11Z",
      "name": "signup",
      "count": 26377,
      "source": "server"
    }
  ],
  "pagination": {
    "limit": 50,
    "count": 3,
    "has_more": true
  ...

Example

curl -s https://son.skunkeu.win/api/v1/events